import http from '../http'

export default {
  page: data => http.post('/v1/staff_professional/page', data).then(res => res),
  getById: id => http.get('/v1/staff_professional/vo/' + id).then(res => res),
  deleteById: id =>
    http.delete('/v1/staff_professional/' + id).then(res => res),
  list: data => http.post('/v1/staff_professional/list', data).then(res => res),
  edit: data =>
    http.put('/v1/staff_professional?id=' + data.id, data.obj).then(res => res),
  add: data => http.post('/v1/staff_professional/', data).then(res => res)
}
